Page MenuHomePhabricator

Hard deprecate individual Revision class methods [tracking]
Closed, ResolvedPublic

Description

Tracking deprecation of all individual public methods of the Revision class.

Static constructors

Other static methods

Public instance methods

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenDannyS712
OpenDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712

Event Timeline

DannyS712 triaged this task as Medium priority.Apr 26 2020, 11:37 PM
DannyS712 created this task.
DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.
DannyS712 updated the task description. (Show Details)Apr 27 2020, 7:06 AM
DannyS712 updated the task description. (Show Details)Apr 27 2020, 5:19 PM
DannyS712 updated the task description. (Show Details)Apr 28 2020, 9:34 AM
daniel moved this task from Inbox to Tracking/Watching on the Platform Engineering board.
daniel added a subscriber: daniel.

There is nothing to review here, all subtasks are tracked separately. Removed from CPT external code review, moved to "tracking" on the CPT board.

DannyS712 updated the task description. (Show Details)Apr 30 2020, 9:07 PM
DannyS712 changed the status of subtask T250980: Hard deprecate Revision::getParentId from Open to Stalled.May 1 2020, 5:27 AM
DannyS712 updated the task description. (Show Details)May 1 2020, 5:55 AM

@daniel can you take a look at https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/CodeReview/+/585006/ and https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Flow/+/587313/ ? @Pchelolo gave them +1 but commented saying they were leaving the patch for others to take a look - the patches remove the only deployed uses of Revision::compressRevisionText and Revision::decompressRevisionText

DannyS712 changed the status of subtask T250580: Hard deprecate Revision::isMinor from Open to Stalled.May 1 2020, 6:23 PM
DannyS712 updated the task description. (Show Details)May 5 2020, 3:33 AM
DannyS712 updated the task description. (Show Details)May 5 2020, 3:38 AM
DannyS712 changed the status of subtask T250580: Hard deprecate Revision::isMinor from Stalled to Open.May 26 2020, 10:13 PM
DannyS712 changed the status of subtask T250980: Hard deprecate Revision::getParentId from Stalled to Open.May 26 2020, 10:59 PM
DannyS712 updated the task description. (Show Details)Jun 10 2020, 3:49 AM
DannyS712 updated the task description. (Show Details)Jun 10 2020, 5:04 AM
DannyS712 closed this task as Resolved.Mon, Jul 6, 1:59 PM
DannyS712 claimed this task.
DannyS712 updated the task description. (Show Details)